Bug 1761789 - python2-urllib3 fails to install in Fedora rawhide due to retired python2-ipaddress
Summary: python2-urllib3 fails to install in Fedora rawhide due to retired python2-ipa...
Keywords:
Status: CLOSED DUPLICATE of bug 1770743
Alias: None
Product: Fedora
Classification: Fedora
Component: python-urllib3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FailsToInstall PY2FTBI 1761787
TreeView+ depends on / blocked
 
Reported: 2019-10-15 11:25 UTC by Miro Hrončok
Modified: 2019-11-11 09:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-11 09:29:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-10-15 11:25:28 UTC
python2-urllib3-1.25.3-6.fc32.noarch fails to install in Fedora rawhide:

  nothing provides python2-ipaddress needed by python2-urllib3-1.25.3-6.fc32.noarch

This is caused by python-ipaddress being retired after being orphaned for 6+ weeks.
Please drop the dependency, or remove the package.

When dropping python2-urllib3, please coordinate with dependent packages.
Thanks

Comment 1 Miro Hrončok 2019-10-22 15:39:40 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Kevin Fenzi 2019-10-22 16:40:55 UTC
I guess we drop the python2 package...

Comment 3 Miro Hrončok 2019-10-22 19:10:44 UTC
Thank you, Kevin, for looking into it.

Comment 4 Miro Hrončok 2019-11-11 09:29:48 UTC
No package longer requires this anyway. Closing in favor of the more actionable bug.

*** This bug has been marked as a duplicate of bug 1770743 ***


Note You need to log in before you can comment on or make changes to this bug.